Package org.kapott.hbci.concurrent

# Class DefaultHBCIPassportFactory

java.lang.Object
org.kapott.hbci.concurrent.DefaultHBCIPassportFactory

All Implemented Interfaces:
  `HBCIPassportFactory`

public class DefaultHBCIPassportFactory extends Object implements HBCIPassportFactory
Standard-Implementierung, die das Passport über `AbstractHBCIPassport.getInstance(String, Object)` erzeugt.

Author:
  Hendrik Schnepel

## Constructor Summary

Constructors
Constructor
Description
`DefaultHBCIPassportFactory(Object init)`
`DefaultHBCIPassportFactory(String name)`
`DefaultHBCIPassportFactory(String name, Object init)`

## Method Summary

Modifier and Type
Method
Description
`HBCIPassport`
`createPassport()`
Gibt ein neues Passport entsprechend der Implementierung zurück.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultHBCIPassportFactory

public DefaultHBCIPassportFactory(String name)

### DefaultHBCIPassportFactory

public DefaultHBCIPassportFactory(Object init)

### DefaultHBCIPassportFactory

public DefaultHBCIPassportFactory(String name, Object init)

## Method Details

### createPassport

public HBCIPassport createPassport() throws Exception
Description copied from interface: `HBCIPassportFactory`
Gibt ein neues Passport entsprechend der Implementierung zurück.

Specified by:
  `createPassport` in interface `HBCIPassportFactory`
Throws:
  `Exception`